<?php

namespace App\Models;

use Database\Factories\ProductServiceFactory;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductService extends Model
{
    /** @use HasFactory<ProductServiceFactory> */
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'order_id',
        'service_file_id',
        'service_type',
        'placement',
        'width',
        'height',
        'code',
        'setup_amount',
        'logo_name',
        'amount',
        'amount_price',
        'notes',
    ];

    /**
     * @return BelongsTo<Order, self>
     */
    public function order(): BelongsTo
    {
        return $this->belongsTo(Order::class);
    }

    /**
     * @return BelongsTo<ServiceFile, self>
     */
    public function serviceFile(): BelongsTo
    {
        return $this->BelongsTo(ServiceFile::class);
    }
}
